Subject: bug#16993: advice-add hides docstring

From: Juanma Barranquero <[email-masked]>
Date: Thu, 20 Mar 2014 06:18:01 +0100

On Wed, Mar 19, 2014 at 7:29 PM, Stefan <[email-masked]> wrote:

> We can either fix it by teaching Snarf-documentation about advised
> function (yuck!) or by not advising functions that are documented in
> DOC.  IOW the right fix is to get rid of those advices in uniquify.el.

IIUC, you're not proposing to delay the advice-add calls, but remove
them altogether. How would you re-implement the current functionality
so rename-buffer and create-file-buffer still respect uniquify? Some
kind of hook in these functions?